Subject: Re: [Jsonpath] conversion from xml to markdown

From: Carsten Bormann <[email-masked]>
Date: Tue, 6 Jun 2023 09:46:19 +0200

On 6. Jun 2023, at 02:29, Greg Dennis <gregsdennis=[email-masked]> wrote:
> 
> Thanks Carsten.  It's all the xml files in the root, here: https://github.com/json-schema-org/json-schema-spec/tree/main

https://github.com/json-schema-org/json-schema-spec/pull/1412

> Is this a tool you can share?

I could, but that would be counterproductive.
Upconversion tries to reinstate some structure that is no necessarily present any more after another downconversion.
Heuristics can handle most of the information creation that is needed here.
Each upconversion provides some new hints on how I should improve my tool.
So the tool gets better each time.
Publishing the tool would take away that continuous improvement.

(Besides, there is one item of technical debt that I’d need to fix before publishing…)

Grüße, Carsten